Skip to main content
PUT
Update a Scan Schedule

Authorizations

Authorization
string
header
required

Enter your bearer token in the format: Bearer {token}

Path Parameters

scanScheduleId
string<uuid>
required

The unique identifier of the scan schedule to update.

Example:

"9c43cc95-f313-49a3-b632-524f7a24503b"

Body

application/json

The updated configuration for the scan schedule.

description
string
required

A human-readable name for the scan schedule.

Example:

"Weekly Scan for Main Office"

day_of_week
integer
required

The day of the week to run the scan (0=Sunday, 1=Monday, ..., 6=Saturday).

Example:

1

time_of_day
string<time>
required

The time of day to run the scan in 24-hour format (HH:mm).

Pattern: ^([0-1]?[0-9]|2[0-3]):[0-5][0-9]$
Example:

"02:00"

every_n_weeks
integer
required

The frequency of the scan in weeks (e.g., 2 for every 2 weeks). Minimum 2.

Example:

2

timezone
string
required

The IANA timezone database name (e.g., 'America/New_York', 'UTC').

Example:

"America/New_York"

min_cvss
number<float>
required

The minimum CVSS score for a vulnerability to be included in reports. Must be less than warning_threshold.

Example:

4

warning_threshold
number<float>
required

The CVSS score at which a vulnerability is considered a high-priority warning. Must be greater than min_cvss.

Example:

7

sites
object[]
required

A list of sites and their subnets to be scanned.

notification_group
string
required

The identifier for a notification group to receive scan alerts.

Example:

"security-alerts"

ignore_offline_sites
boolean

If true, the scan will not fail if a site is offline. Defaults to false.

Example:

false

Response

The scan schedule was updated successfully.

id
string<uuid>

The unique identifier for the scan schedule.

Example:

"9c43cc95-f313-49a3-b632-524f7a24503b"

description
string

A human-readable name for the scan schedule.

Example:

"Weekly Scan for Main Office"

day_of_week
integer

The day of the week to run the scan (0=Sunday, 1=Monday, ..., 6=Saturday).

Example:

1

time_of_day
string

The time of day to run the scan in 24-hour format (HH:mm).

Example:

"02:00"

every_n_weeks
integer

The frequency of the scan in weeks (e.g., 2 for every 2 weeks).

Example:

2

timezone
string

The timezone in which the time_of_day is specified.

Example:

"America/New_York"

min_cvss
number<float>

The minimum CVSS score for a vulnerability to be included in reports.

Example:

4

warning_threshold
number<float>

The CVSS score at which a vulnerability is considered a high-priority warning.

Example:

7

ignore_offline_sites
boolean

If true, the scan will not fail if a site is offline.

Example:

false

next_scan_at
string<date-time>

The calculated timestamp for the next scheduled scan.

Example:

"2025-11-10T02:00:00-05:00"

running
boolean

Indicates if a scan for this schedule is currently in progress.

Example:

false

sites
object[]

A list of sites and their subnets to be scanned.

created_at
string<date-time>

The timestamp when the schedule was created.

Example:

"2025-10-28T14:30:00Z"

updated_at
string<date-time>

The timestamp when the schedule was last updated.

Example:

"2025-10-29T09:00:00Z"

status
string

The current status of the scan schedule's lifecycle.

Example:

"ready"

last_run_at
string<date-time>

The timestamp when a scan for this schedule was last initiated.

Example:

"2025-10-27T02:00:00-05:00"

notification_group
string

The identifier for a notification group to receive scan alerts.

Example:

"security-alerts"